/*
 * Global styles for components
 */

/* Tooltips */
.tooltip-description {
    height: calc(1.5em + 1.3rem + 2px);
    padding: 0.65rem 1rem;
}

.tooltip-description span {
    margin: auto 1rem;
}

.tooltip-inner {
    overflow: hidden;
    max-height: 350px;
}

/* KTDataTable */
.kt-datatable.kt-datatable--default > .kt-datatable__table > .kt-datatable__head .kt-datatable__row > .kt-datatable__cell > span {
    font-weight: 600;
    font-size: 1.1em;
}

.datatable .hidden-configuration {
    /* Hide configuration elements */
    display: none !important;
}

.s3-file-uploader input:enabled ~ label .spinner-border {
    display: none;
}

.s3-file-uploader input:enabled ~ label .placeholder {
    white-space: nowrap;
    text-overflow: ellipsis;
    display: block;
    margin-right: 70px;
    overflow: hidden;
}

/* Other.. */
.no-white-space {
    white-space: nowrap;
}

.modal-body .divider {
    border-bottom: 1px solid #ebedf2;
    box-sizing: border-box;
    display: block;
    width: calc(100% + 2.5rem);
    margin: 0 -1.25rem;
}

.modal-body .divider.no-margin {
    margin: 0;
}

.modal .row .btn-align {
    display: block;
    padding-top: 0.25em;
}

/* Document preview modal */
.document-preview-modal .modal-body {
    overflow: hidden;
    padding-top: 60%;
    position: relative;
}

.document-preview-modal .modal-body iframe {
    position: absolute;
    left: 0;
    top: 0;
    height: 100%;
    width: 100%;
    border: 0;
}

.modal-ellipsis-btn {
    width: 2em !important;
    height: 2em !important;
    margin-left: 10px !important;
}

#button-request-location {
  color: white;
}
#button-request-location:hover {
    color: #ffb822;
    background-color: white;
    border-color: #eea200;
}

.modal ~ .daterangepicker {
    z-index: 1080;
}

.alert.alert-solid-tardiness {
    background: rgba(247, 201, 108, 0.6);
    border-color: transparent;
    color: #343a40;
}

.alert.alert-solid-tardiness .alert-icon i {
    color: #343a40;
}

.alert.alert-solid-tardiness .fa-exclamation-triangle {
    padding-right: 10px;
    font-size: xx-large;
    color: #b8860b;
}

.alert.alert-solid-tardiness .alert-text {
    color: #343a40;
}

.alert.alert-solid-tardiness .alert-close i {
    color: #343a40;
}

.daterangepicker .ranges li {
    font-weight: 600 !important;
}

.datepicker-days .disabled.day, .datepicker-days .new.disabled.day, .datepicker-days .old.day.disabled {
    color: #d3d3d3;
}

.cursor-pointer {
    cursor: pointer;
}

.fake-real-link {
    color: #456BF7 !important;
    cursor: pointer;
    font-weight: 400;
}

.fake-real-link:hover {
    color: #2739c1 !important;
    text-decoration: underline;
}
